Summary:       Tools for configuring the console using X Window System key maps
Name:          console-setup
Version:       1.222
Release:       4%{?dist}
License:       GPLv2+ and MIT and Public Domain
URL:           http://packages.debian.org/cs/sid/console-setup
Source0:       http://ftp.de.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.xz

Patch3000:     console-setup-1.76-paths.patch
Patch3001:     console-setup-1.76-fsf-address.patch
Patch3002:     console-setup-1.84-ctrll-lock.patch

BuildRequires: make
BuildRequires: perl-generators perl(encoding) perl(open)
Requires:      kbd
BuildArch:     noarch

%description
This package provides the console with the same keyboard configuration scheme that X Window System has.
Besides the keyboard, the package configures also the font on the console. It includes a rich collection
of fonts and supports several languages that would be otherwise unsupported on the console (such as
Armenian, Georgian, Lao and Thai).

%package -n bdf2psf
Summary:    Generate console fonts from BDF source fonts

%description -n bdf2psf
This package provides a command-line converter that can be used in scripts to build console fonts from BDF
sources automatically. The converter comes with a collection of font encodings that cover many of the
world's languages. The output font can use a different character encoding from the input. When the source
font does not define a glyph for a particular symbol in the encoding table, that glyph position in the
console font is not wasted but used for another symbol.

%prep
%autosetup -n %{name} -p1

%build
make build-linux

%install
rm -rf %{buildroot}
make prefix=%{buildroot} install-linux
rm -rf %{buildroot}/etc/console-setup

install -p -Dm644 man/bdf2psf.1 %{buildroot}%{_mandir}/man1/bdf2psf.1
install -p -D Fonts/bdf2psf %{buildroot}%{_bindir}/bdf2psf

mkdir -p %{buildroot}%{_datadir}/bdf2psf
cp -a Fonts/fontsets Fonts/*.equivalents Fonts/*.set \
    %{buildroot}%{_datadir}/bdf2psf/

%files
%license COPYRIGHT copyright.fonts copyright.xkb Fonts/copyright
%doc README CHANGES
%{_bindir}/ckbcomp
%{_bindir}/setupcon
%config(noreplace) %{_sysconfdir}/default/console-setup
%config(noreplace) %{_sysconfdir}/default/keyboard
%{_datadir}/consolefonts
%{_datadir}/consoletrans
%{_mandir}/*/*

%files -n bdf2psf
%license GPL-2
%{_bindir}/bdf2psf
%{_datadir}/bdf2psf
%{_mandir}/man1/bdf2psf.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.222-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.222-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.222-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Wang Guodong <gordonwwang@tencent.com> - 1.222-1
- Upgrade to version 1.222

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.207-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.207-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.207-1
- initial build
